// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.MqttWs = void 0;
const mqtt_1 = require("./mqtt");
/**
 * Transport used to provision a device over MQTT over Websockets.
 */
class MqttWs extends mqtt_1.Mqtt {
    /**
     * @private
     */
    constructor(mqttBase) {
        super(mqttBase);
    }
    /**
     * @private
     */
    /* Codes_SRS_NODE_PROVISIONING_MQTT_18_049: [ When connecting using websockets, `Mqtt`Ws shall set the uri passed into the transport to 'wss://<host>:443/$iothub/websocket'.] */
    _getConnectionUri(request) {
        return 'wss://' + request.provisioningHost + ':443/$iothub/websocket';
    }
}
exports.MqttWs = MqttWs;
//# sourceMappingURL=mqtt_ws.js.map