// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.X509Security = void 0;
/**
 * @private
 * X509 security client using user-generated cert for Azure IoT
 */
class X509Security {
    /**
     * Construct a new X509 security object
     *
     * @param cert certificate to use
     */
    constructor(registrationId, cert) {
        this._cert = cert;
        this._registrationId = registrationId;
    }
    /**
     * return the X509 certificate
     *
     * @param callback called when the operation is complete
     */
    getCertificate(callback) {
        callback(null, this._cert);
    }
    /**
     * return the registration Id for the device
     */
    getRegistrationId() {
        return this._registrationId;
    }
}
exports.X509Security = X509Security;
//# sourceMappingURL=x509.js.map